function y = addSignals2D(u,v)
% summation of two Laurent series
% used to sum signals which may start before zero or
% non causal FIR filters
% manage lowest degree

% pad columns of zeros at left according to row degrees
if u.rd < v.rd
	y.rd = v.rd;
	u.s = [zeros(size(u.s,1),v.rd - u.rd) u.s];
elseif v.rd < u.rd
	y.rd = u.rd;
	v.s = [zeros(size(v.s,1),u.rd - v.rd) v.s];
else
	y.rd = u.rd;
end
% pad rows of zeros at top according to column degrees
if u.cd < v.cd
	y.cd = v.cd;
	u.s = [zeros(v.cd - u.cd,size(u.s,2)); u.s];
elseif v.cd < u.cd
	y.cd = u.cd;
    v.s = [zeros(u.cd - v.cd,size(v.s,2)); v.s];
else
	y.cd = u.cd;
end

% manage highest degree
% pad columns of zeros at right to match lengthes of rows
if size(u.s,2) < size(v.s,2)
	u.s = [u.s zeros(size(u.s,1),size(v.s,2)-size(u.s,2))];
elseif size(v.s,2) < size(u.s,2)
	v.s = [v.s zeros(size(v.s,1),size(u.s,2)-size(v.s,2))];
end
% pad rows of zeros at bottom to match lengthes of columns
if size(u.s,1) < size(v.s,1)
	u.s = [u.s ; zeros(size(v.s,1)-size(u.s,1),size(u.s,2))];
elseif size(v.s,1) < size(u.s,1)
	v.s = [v.s ; zeros(size(u.s,1)-size(v.s,1),size(v.s,2))];
end

y.s = u.s + v.s;
