function z = subsample2D(x)
% returns the subsampled matrix obtained by removing the elements
% with even indices in matrix x
[n,m] = size(x.s);
% operate on rows
if isodd(x.rd)==0
	% the lowest degree of the z-transform of the rows of x is even
	% we keep the first column of x.s
   y.s = x.s(:,1:2:n);
   % the degree of y is half of x.rd (which is even)
   z.rd = (x.rd)/2;
  else 
  	% the lowest degree of the z-transform of the rows of x is odd
  	% we do not keep the first colum of x.s
  	y.s = x.s(:,2:2:n);
  	% the degree of the output will be half of (-x.rd+1)
  	% i.e.
   z.rd = (x.rd-1)/2;
end
% operate on columns
if isodd(x.cd)==0
	% the lowest degree of the z-transform of the columns of x is even
	% we keep the first row of y.s
   z.s = y.s(1:2:n,:);
   % the degree of y is half of x.cd (which is even)
   z.cd = (x.cd)/2;
  else 
  	% the lowest degree of the z-transform of the columns of x is odd
  	% we do not keep the first row of y.s
  	z.s = y.s(2:2:n,:);
  	% the degree of the output will be half of (-x.cd+1)
  	% i.e.
   z.cd = (x.cd-1)/2;
end
